*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
    transition: 0.3s ease;
}

body {
    background: #f9f9f9;
    color: #333;
}

h2 {
    text-align: center;
    margin-bottom: 40px;
    font-size: 28px;
}
section {
    padding: 60px 20px;
}
header {
    display: flex;
    justify-content: space-between;
    background: white;
    /* color: white; */
    padding: 20px 40px;
}

nav a {
    text-decoration: none;
    margin-left: 30px;
    color: black;
    font-weight: 500;
}
nav a:hover {
    color: #00bcd4;
}
.hero {
    padding: 100px 20px;
    text-align: center;
    font-weight: bold;
    background: linear-gradient(to right, #00bcd4, #2196f3);
    color: white;
    border-radius:0 0 40px 40px;
}

.hero h2{
    font-size: 40px;
}

.hero button {
    margin-top: 20px;
    padding: 12px 20px;
    border: none;
    border-radius: 25px;
    background: white;
    color: #2196f3;
    font-weight: bold;
    cursor: pointer;
}
.hero button:hover {
    transform: scale(1.05);
}

.projects {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

.project-card {
    width: 280px;
    font-weight: bold;
    text-align: center;
    border-radius: 15px;
    background:white ;
    padding :25px;
    box-shadow: 0 5px 20px rgba(0,0 ,0 ,0.05);
}
.project-card:hover{
    transform: translateY(-10px);
}

.btn {
    display: inline-block;
    margin-top: 15px;
    padding: 10px 20px;
    border-radius: 20px;
    background: #00bcd4;
    color: white;
    text-decoration: none;
}
.skills {
    display: flex;
    text-align: center;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}
.skill {
    background: white;
    padding: 20px;
    border-radius: 15px;
    text-align: center;
    width: 120px;
    box-shadow: 0 5px 15px rgba(0,0 ,0 ,0.05);
    font-weight: bold;
    font-size: 16px;
}
.skill i {
    margin-bottom: 10px;
    font-size: 30px;
}
.skill i:hover {
    transform: scale(1.1);
}

.contact-content{
 text-align: center;
}

.contact-content p {
    margin: 10px 0;
    font-size: 18px;
}

footer {
    padding: 20px;
    text-align: center;
    background: black;
    color: white;
}

@media(max-width: 786px) {
    header {
        flex-direction: column;
        gap: 10px;
    }
    .hero h2{
        font-size: 28px;
    }

    .project-card {
        width: 100%;
    }
}